de.caff.util

## Class AbstractBasicStatusFlag

- java.lang.Object
- - de.caff.util.AbstractBasicStatusFlag

- Direct Known Subclasses:
    StatusFlag

      public abstract class AbstractBasicStatusFlag
      extends java.lang.Object

  Bit flag enum with internationalized description. Use this as the base status flag enums.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `DISABLED` The extension appended to the i18n base tag if this flag is disabled.
    `static java.lang.String` | `ENABLED` The extension appended to the i18n base tag if this flag is enabled.

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `AbstractBasicStatusFlag(java.lang.String basetag)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getBaseTag()` Get the i18n tag for the flag description.
    `java.lang.String` | `getDescription(boolean set)` Get the internationalized description of this flag depending whether it is set or not, using the default locale.
    `java.lang.String` | `getDescription(boolean set, java.util.Locale locale)` Get the internationalized description of this flag depending whether it is set or not.
    `java.lang.String` | `getI18nTag(boolean set)` Get the i18n tag of this flag depending whether it is set or not.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### ENABLED

          public static final java.lang.String ENABLED

      The extension appended to the i18n base tag if this flag is enabled.
      See Also:
        Constant Field Values

    - #### DISABLED

          public static final java.lang.String DISABLED

      The extension appended to the i18n base tag if this flag is disabled.
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractBasicStatusFlag

          protected AbstractBasicStatusFlag(@NotNull
                                            java.lang.String basetag)

      Constructor.
      Parameters:
        `basetag` - i18n tag start. Depending on the value of the flag this will

  - ### Method Detail

    - #### getBaseTag

          @NotNull
          public java.lang.String getBaseTag()

      Get the i18n tag for the flag description.
      Returns:
        i18n tag

    - #### getI18nTag

          @NotNull
          public java.lang.String getI18nTag(boolean set)

      Get the i18n tag of this flag depending whether it is set or not.
      Parameters:
        `set` - is this flag set?
      Returns:
        complete i18n tag

    - #### getDescription

          public java.lang.String getDescription(boolean set)

      Get the internationalized description of this flag depending whether it is set or not, using the default locale.
      Parameters:
        `set` - is this flag set?
      Returns:
        description text

    - #### getDescription

          public java.lang.String getDescription(boolean set,
                                                 java.util.Locale locale)

      Get the internationalized description of this flag depending whether it is set or not.
      Parameters:
        `set` - is this flag set?
        `locale` - locale to use
      Returns:
        description text